2019-09-18 09:20 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000098QElectroTechElement Editorpublic2016-10-12 16:55
ReporterMorganol 
Assigned Toblack_sun 
PriorityhighSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformQt5.6.1, kf5.27.0, Plasma5.8.0, OSLinux 4.7.8, gcc 5.4.0, OS VersionMageia 6
Product VersionSVN/trunk 
Target VersionSVN/trunkFixed in VersionSVN/trunk 
Summary0000098: Crash when closing Element editor * With debug screenshot *
Descriptionsvn 4734, running in debug mode from QtDesigner
I have a multipage schematic open
I was editing a simple element originally only containing two arcs and the "label" field:

1) opened the element by doubleclicking it in schema editor collections pane

2) added three three-point polylines

3) selected all the three three-point polylines, and copied them using ctrl-c
     (with intention to copy them into other elements)

4) clicked the windows closing button (x)
=> segmentation fault

5) grabbed attached screenshot
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000177

Morganol (reporter)

BTW, I also suggest developers to try the code in the clang analyzer

This is not "my cup of tea", but to me the code seem to have problems.
https://qelectrotech.org/forum/viewtopic.php?pid=5637#p5637

~0000178

Morganol (reporter)

It did save the element correctly despite crashing

~0000181

scorpio810 (administrator)

fixed in 4736
+Notes

-Issue History
Date Modified Username Field Change
2016-10-11 15:37 Morganol New Issue
2016-10-11 15:37 Morganol File Added: Screenshot_20161011_152417.png
2016-10-11 15:42 Morganol Note Added: 0000177
2016-10-11 15:45 Morganol File Added: Screenshot_20161011_154506.png
2016-10-11 16:19 Morganol Note Added: 0000178
2016-10-12 16:49 scorpio810 Note Added: 0000181
2016-10-12 16:49 scorpio810 Assigned To => black_sun
2016-10-12 16:49 scorpio810 Status new => resolved
2016-10-12 16:49 scorpio810 Resolution open => fixed
2016-10-12 16:55 scorpio810 Fixed in Version => SVN/trunk
2016-10-12 16:55 scorpio810 Target Version => SVN/trunk
+Issue History